Skip to main content

Execution Reports – New

After submitting a New Order, Paxos sends two Execution Reports confirming receipt and acceptance:
  • Pending New (ExecType (150) = A) — Acknowledgement that the order was received.
  • New (ExecType (150) = 0) — Confirmation that the order is active on the book.

Standard FIX Fields

TagFieldWhen PresentNotes
8BeginStringAlwaysStandard FIX header
9BodyLengthAlwaysStandard FIX header
35MsgTypeAlways8 (Execution Report)
49SenderCompIDAlwaysStandard FIX header
56TargetCompIDAlwaysStandard FIX header
34MsgSeqNumAlwaysStandard FIX header
52SendingTimeAlwaysStandard FIX header

Standard FIX Trailer

TagFieldWhen PresentNotes
10CheckSumAlways

Response Fields

ExecType (150) = A, OrdStatus (39) = A (Pending New).
OrderID (37) is set to all zeros (00000000-0000-0000-0000-000000000000) for Pending New. The actual OrderID is assigned in the New execution report.
Always Present
TagFieldWhen PresentNotes
54SideAlways1 = Buy, 2 = Sell
150ExecTypeAlwaysA (Pending New)
32lastSharesAlways0
109ClientIDAlways
1AccountAlways
31LastPxAlways0
151LeavesQtyAlwaysOrder quantity
12CommissionAlways0.0
13CommTypeAlways3 (Absolute Value)
60TransactTimeAlways
58TextAlwaysPending New Order
20ExecTransTypeAlways0 (New)
55SymbolAlwaysCurrency pair
17ExecIDAlways0
14CumQtyAlways0
11ClOrdIDAlways
44PriceAlways
6AvgPxAlways0
41OrigClOrdIDAlways
40OrdTypeAlways1 = Market, 2 = Limit, 3 = Stop Market, 4 = Stop Limit
39OrdStatusAlwaysA (Pending New)
37OrderIDAlwaysAll zeros for Pending New
381GrossTradeAmtAlwayslastShares (32) * LastPx (31)
59TimeInForceAlways1 = GTC, 3 = IOC, 4 = FOK, 6 = GTT
Conditional
TagFieldWhen PresentNotes
38OrderQtyLimit and market sell ordersBase quantity
152CashOrderQtyMarket buy ordersFiat notional
18ExecInstPost-only orders6 (Post-Only)
99StopPxStop orders onlyOnly when OrdType is 3 or 4
126ExpireTimeGTT ordersYYYYMMDD-HH:MM:SS format
Brokerage Clients
TagFieldWhen PresentNotes
5047AllocBrokerAccountIDBrokerage clientsIdentityAccountId
50SenderSubIDBrokerage clientsIdentityId
5074FundCommissionOptionBrokerage clients
5000RecipientProfileIdBrokerage clientsProfileID that receives settled currency
Optional
TagFieldWhen PresentNotes
2362SelfMatchPreventionIDIf enabledPrevents self-matching. Up to 36 characters. Requires additional permissions.
See also: Execution Reports - Fills for the next stage of the order lifecycle.